Method: projects.locations.endpoints.submitOperationalTransaction
Stay organized with collections
Save and categorize content based on your preferences.
Submits an operational transaction to the network. This method returns only after the transaction has been replicated across a majority of validators in the network, or if the transaction fails.
HTTP request
POST https://universalledger.googleapis.com/v1/{endpoint=projects/*/locations/*/endpoints/*}:submitOperationalTransaction
Required. A protobuf serialized SignedTransaction to submit to the ledger. The enclosed client transaction must be an operational transaction, and the sender must be the platform operator. Using a serialized format ensures that all validators compute the same transaction ID as the SHA-256 digest of the serialized bytes.
A base64-encoded string.
Response body
Response message for endpoints.submitOperationalTransaction.
If successful, the response body contains data with the following structure:
JSON representation
{"transactionDigestHex": string}
Fields
transactionDigestHex
string
Identifier that uniquely represents the submitted operational transaction. It is the hexadecimal representation of the SHA-256 digest of the serializedSignedOperationalTransaction. This transaction ID is provided so that a client can track the transaction without needing to implement the hashing logic itself. The identifier can be directly used in subsequent API calls, for example to query the transaction state.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-08-19 UTC."],[],[]]